<?php
session_start();
if($_GET['nodb']==1){
    define('IN_IQQOL',true);
    define('IQQOL_FILE_ROOT',dirname(__FILE__));
    require_once(IQQOL_FILE_ROOT.'/config.inc.php');
    require_once(IQQOL_FILE_ROOT.'/libs/iqqol_global.php');
    $_P =new iqqol_parameter;
    $_M =new iqqol_member;
    require_once(IQQOL_FILE_ROOT.'/include/template.inc.php');
    require_once(IQQOL_FILE_ROOT.'/include/safe3_iqqol_360.php');
    require_once($tplroot.'/lang.inc.php');
    switch($_GET['action']) {
        case 'uc_config';
        require_once('admin/uc.config.php');
        break;
    }
    exit();
}
else {
    require_once 'include/contain.class.php';
    switch($_GET['action']) {


        case '':
            require_once('admin/index.inc.php');
        break;

        case 'styles':
                switch($_GET['operation']) {
                    case '':
                        require_once('admin/styles/template.inc.php');
                    break;
                    case 'edit':
                        require_once('admin/styles/edit.php');
                    break;
                    case 'delete':
                        require_once('admin/styles/delete.php');
                    break;
                }
        break;

        case 'index':
            require_once('admin/info.inc.php');
        break;

        case 'plugins':
            require_once('admin/plugins.inc.php');
        break;

        case 'home':
            require_once('admin/home.inc.php');
        break;

        case 'updata':
            require_once('admin/updata.php');
        break;

        case 'ucenter':
            require_once('admin/ucenter.php');
        break;

        case 'logout':
            require_once('admin/logout.php');
        break;

        case 'usergroups':
            require_once('admin/members/usergroups.php');
        break;

        case 'announce':
            require_once('admin/setting/announce.php');
        break;

        case 'adv':
            require_once('admin/setting/adv.php');
        break;

        case 'admingroup':
            require_once('admin/members/super_group.php');
        break;

        case 'tools':
                switch($_GET['operation']) {
                    case 'updatecache':
                        require_once('admin/tools/updatecache.php');
                    break;
                }
        break;

        case 'misc':
                switch($_GET['operation']) {
                    case 'custommenu':
                        require_once('admin/misc/custommenu.php');
                    break;
                    case 'none':
                        require_once('admin/misc/none.php');
                    break;
                    case 'link':
                        require_once('admin/misc/link.php');
                    break;
                }
        break;

        case 'members':
                switch($_GET['operation']) {
                    case 'search':
                        require_once('admin/members/member.php');
                    break;
                    case 'set_qq':
                        require_once('admin/members/set_qq.php');
                    break;
                    case 'qqlist':
                        require_once('admin/members/qqlist.php');
                    break;
                    case 'guaqinfo':
                        require_once('admin/members/guaqinfo.php');
                    break;
                    case 'qqinfo':
                        require_once('admin/members/qqinfo.php');
                    break;
                    case 'searchguaqinfo':
                        require_once('admin/members/searchguaqinfo.php');
                    break;
                    case 'searchletter':
                        require_once('admin/members/searchletter.php');
                    break;
                    case 'newsletter':
                        require_once('admin/members/newsletter.php');
                    break;
                    case 'reward':
                        require_once('admin/members/reward.php');
                    break;
                    case 'ban':
                        require_once('admin/members/ban.php');
                    break;
                    case 'set_status':
                        require_once('admin/set_status.php');
                    break;
                }
        break;

        case 'setting':
                switch($_GET['operation']) {
                    case 'about_webserver':
                        $style->display('admin/setting/about_webserver.html');
                    break;
                    case 'robot':
                        require_once('admin/setting/robot.php');
                    break;
                    case 'credits':
                        require_once('admin/setting/credits.php');
                    break;
                    case 'access':
                        require_once('admin/setting/access.php');
                    break;
                    case 'basic':
                        require_once('admin/setting/basic.php');
                    break;
                    case 'ranklist':
                        require_once('admin/setting/ranklist.php');
                    break;
                    case 'mobile':
                        require_once('admin/setting/mobile.php');
                    break;
                }
        break;

    }
}
?>